import req from '@/request'

const portal = window.context.portal

// 表格分页
export function tableData(data) {
  return new Promise((resolve, reject) => {
    req.post(portal + `/bizBaseCourseDetails/v1/query`, data)
      .then(res => resolve(res?.data || []))
      .catch(err => reject(err))
  })
}

// 表格详情
export function tableDetail(id) {
  return new Promise((resolve, reject) => {
    req.get(portal + `/bizBaseCourseDetails/v1/${id}`)
      .then(res => resolve(res?.data || {}))
      .catch(err => reject(err))
  })
}

// 表格新增
export function tableAdd(data) {
  return new Promise((resolve, reject) => {
    req.post(portal + `/bizBaseCourseDetails/v1/`, data)
      .then(res => resolve(res?.data || {}))
      .catch(err => reject(err))
  })
}

// 表格删除
export function tableDelete(ids) {
  return new Promise((resolve, reject) => {
    req.remove(portal + `/bizBaseCourseDetails/v1/?ids=${ids}`)
      .then(res => resolve(res?.data || {}))
      .catch(err => reject(err))
  })
}

// 表格修改
export function tableEdit(data) {
  return new Promise((resolve, reject) => {
    req.put(portal + `/bizBaseCourseDetails/v1/`, data)
      .then(res => resolve(res?.data || {}))
      .catch(err => reject(err))
  })
}

// 获得单位树
export function orgTree() {
  return new Promise((resolve, reject) => {
    req.get(portal + `/uc/org/orgTree`)
      .then(res => resolve(res.data || []))
      .catch(err => reject(err))
  })
}

// 附件列表
export function getFileData(data) {
  return new Promise((resolve, reject) => {
    req.post(portal + `/file/v1/getFiles?bizId=${data}&&bizCode=RDProofFile`, data)
      .then(res => resolve(res?.data || {}))
      .catch(err => reject(err))
  })
}

// 附件删除
export function deleteFileById(id) {
  return new Promise((resolve, reject) => {
    req.remove(portal + `/file/v1/${id}`)
      .then(res => resolve(res?.data || {}))
      .catch(err => reject(err))
  })
}